#pragma once
#include <any>
using u_int8_t = unsigned char;

using u_int16_t = unsigned short;

using u_int32_t = unsigned int;

enum class Cell_Type
{
    CELL_TYPE_NULL = 0,
    CELL_TYPE_CHAR = 1,
    CELL_TYPE_NUMB2BYTES = 2,
    CELL_TYPE_NUMB4BYTES = 3,
    CELL_TYPE_NUMB8BYTES = 4,
    CELL_TYPE_STRING = 5
};


class cell_base{

    Cell_Type type;

    u_int16_t len;

    public:

    virtual inline void set_type(Cell_Type type){
        this->type = type;
    }

    virtual inline void set_len(u_int16_t len){
        this->len = len;
    }


};