#include <sqlite3.h>
#include <iostream>
#include <vector>
#include <string>
#include <litedb.h>
#include <memory>

using namespace std;

int main(int argc, char const *argv[])
{

    if (argc < 2)
    {
        std::cerr << "Please check your DB path";
        return -1;
    }

    std::string db_path = argv[1];
    std::unique_ptr<litedb> dbhand(new litedb(db_path));

    // creating db
    if (dbhand->litedb_open() != Status::STATUS_OK)
    {
        std::cerr << "Failed to open database\n";
        return -1;
    }
    else
    {
        std::cout << "Sucess open database\n";
    }

    std::string create_tab_sql = "CREATE TABLE IF NOT EXISTS users (id INTEGER PRIMARY KEY, name TEXT, age INTEGER);";

    if (dbhand->exec_sql(std::move(create_tab_sql)) != Status::STATUS_OK)
    {
        std::cerr << "faild to create table\n";
    }
    else
    {
        std::cout << "success create table user\n";
    }

    // insert user entry

    return 0;
}
